-----------------------------------------------
-- Convert
-----------------------------------------------
scriptObj = getScriptObject()

function split(str, pat)
    local t = {}  -- NOTE: use {n = 0} in Lua-5.0
    local fpat = "(.-)" .. pat
    local last_end = 1
    local s, e, cap = str:find(fpat, 1)
    while s do
        if s ~= 1 or cap ~= "" then
            table.insert(t, cap)
        end
        last_end = e+1
        s, e, cap = str:find(fpat, last_end)
    end
    if last_end <= #str then
        cap = str:sub(last_end)
        table.insert(t, cap)
    end
    return t
end

-- Get Parmeter
content = scriptObj:getContent()
src_tbl = {}
src_tbl = split(content, ",")
src_encoding = src_tbl[1]
dest_encoding = src_tbl[2]

if src_encoding == "auto" then
	src_encoding = ""
end

-- Ctrl + C
scriptObj:keyDown(17)
scriptObj:keyDown(67)
scriptObj:keyUp(67)
scriptObj:keyUp(17)

scriptObj:sleep(50)

src = scriptObj:readMultibyteClipboard()
dest = scriptObj:convert(src_encoding, dest_encoding, src)

if dest then
	scriptObj:writeMultibyteClipboard(dest)

	-- Ctrl + V
	scriptObj:keyDown(17)
	scriptObj:keyDown(86)
	scriptObj:keyUp(86)
	scriptObj:keyUp(17)
end

